apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    app: phpmyadmin
  name: phpmyadmin
spec:
  replicas: 1
  selector:
    matchLabels:
      app: phpmyadmin
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: phpmyadmin
    spec:
      containers:
      - image: registry.hub.docker.com/library/phpmyadmin:5.2.1-apache
        name: phpmyadmin
        ports:
        - containerPort: 80
        resources: {}
        env:
        - name: PMA_USER
          valueFrom:
            secretKeyRef:
              name: dbsecret
              key: DB_USER
        - name: PMA_PASSWORD
          valueFrom:
            secretKeyRef:
              name: dbsecret
              key: DB_PWD
        - name: PMA_HOSTS
          valueFrom:
            configMapKeyRef:
              name: dbendpoint
              key: DB_SERVER
---

apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: service-phpmyadmin
  name: service-phpmyadmin
spec:
  ports:
  - name: service-phpmyadmin
    port: 8081
    protocol: TCP
    targetPort: 80
  selector:
    app: phpmyadmin
  type: LoadBalancer
status:
  loadBalancer: {}
